# PhasicFlow: pointStructure::activePointsHost Class Reference

pointStructure::activePointsHost Class Reference

## Public Member Functions

INLINE_FUNCTION_H | activePointsHost (bool allActive, range active, const ViewType1D< int8, HostSpace > &flag)
INLINE_FUNCTION_H | activePointsHost (const activePointsHost &)=default
INLINE_FUNCTION_H activePointsHost & | operator= (const activePointsHost &)=default
INLINE_FUNCTION_H bool | operator() (int32 i) const
INLINE_FUNCTION_H auto | activeRange () const
INLINE_FUNCTION_H bool | allActive () const

## Protected Attributes

ViewType1D< int8, HostSpace > | flag_
bool | allActive_
range | activeRange_

## Detailed Description

Definition at line 102 of file pointStructure.hpp.

## Constructor & Destructor Documentation

## activePointsHost() [1/2]

INLINE_FUNCTION_H activePointsHost | ( | bool | allActive,
|  | range | active,
|  | const ViewType1D< int8, HostSpace > & | flag
| ) |  |

inline

Definition at line 115 of file pointStructure.hpp.

## activePointsHost() [2/2]

INLINE_FUNCTION_H activePointsHost | ( | const activePointsHost & |  | ) |

default

## Member Function Documentation

## operator=()

INLINE_FUNCTION_H activePointsHost& operator= | ( | const activePointsHost & |  | ) |

default

## operator()()

INLINE_FUNCTION_H bool operator() | ( | int32 | i | ) | const

inline

Definition at line 128 of file pointStructure.hpp.

References pointStructure::activePointsHost::activeRange_, and pointStructure::activePointsHost::flag_.

## activeRange()

INLINE_FUNCTION_H auto activeRange | ( |  | ) | const

inline

Definition at line 134 of file pointStructure.hpp.

References pointStructure::activePointsHost::activeRange_.

## allActive()

INLINE_FUNCTION_H bool allActive | ( |  | ) | const

inline

Definition at line 139 of file pointStructure.hpp.

References pointStructure::activePointsHost::allActive_.

## Member Data Documentation

## flag_

ViewType1D<int8, HostSpace> flag_

protected

Definition at line 106 of file pointStructure.hpp.

Referenced by pointStructure::activePointsHost::operator()().

## allActive_

bool allActive_

protected

Definition at line 108 of file pointStructure.hpp.

Referenced by pointStructure::activePointsHost::allActive().

## activeRange_

range activeRange_

protected

Definition at line 110 of file pointStructure.hpp.

Referenced by pointStructure::activePointsHost::activeRange(), and pointStructure::activePointsHost::operator()().

The documentation for this class was generated from the following file:

- src/phasicFlow/structuredData/pointStructure/pointStructure.hpp